> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Typing



## OpenAPI

````yaml POST /send-message/stop-typing
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/stop-typing:
    post:
      tags:
        - Send Message
        - SendMessage
      summary: Stop Typing
      operationId: sendMessage.stopTypingMessage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TypingMessageRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    TypingMessageRequest:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID.
          pattern: ^[0-9]+@[cs]\.us$
          minLength: 10
          maxLength: 50
          example: xxx@c.us
      required:
        - contact_id
      title: TypingMessageRequest
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````